#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.index()}">&{'beranda.label'}</a></li>
				<li><a href="@{admin.KomoditasCtr.index()}">&{'komoditas.label'}</a></li>
				<li class="active">&{'detail_komoditas.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton action:@admin.KomoditasCtr.index()	/}
				#{if (komoditas.terkunci==false)}
				#{link action:@edit(komoditas.id), title: play.i18n.Messages.get("ubah_komoditas.label"), iconClass:'fa-edit'/}
				#{/if}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			#{alert /}
			<div class="detail-wrapper">
				<div class="detail-body">
					<div class="panel panel-default">
						<div class="panel-body">
							<ul class="nav nav-tabs" role="tablist">
								<li role="presentation" class="active">
									<a href="#detail-komoditas" aria-controls="detail-komoditas" role="tab" data-toggle="tab">&{'detail_komoditas.label'}</a>
								</li>
								<li role="presentation">
									<a href="#daftar-usulan" aria-controls="daftar-usulan" role="tab" data-toggle="tab">&{'usulan.label'}</a>
								</li>
								<li role="presentation">
									<a href="#list-template-jadwal" aria-controls="list-template-jadwal" role="tab" data-toggle="tab">&{'template_jadwal.label'}</a>
								</li>
		                        <!--<li role="presentation">-->
		                            <!--<a href="#list-template-kontrak" aria-controls="list-template-jadwal" role="tab" data-toggle="tab">&{'template_kontrak.label'}</a>-->
		                        <!--</li>-->
							</ul>
				
							<div class="tab-content">
								<div role="tabpanel" class="tab-pane active" id="detail-komoditas">
									#{include 'pl/data-komoditas/tab-detailkomoditas.html'/}
								</div>
								
								<div role="tabpanel" class="tab-pane" id="list-template-jadwal">
									<!-- Jadwal -->
									<div class="toolbar">
										#{addButton action:@createTemplateJadwal(komoditas.id), title: play.i18n.Messages.get("tambah_template_jadwal.label") /}
									</div>
									<div style="overflow-x: auto">
										<table class="table table-striped" id="tblTemplateJadwal">
											<thead>
												<tr>
													<th>&{'nomor.label'}</th>
													<th>&{'nama.label'} &{'template_jadwal.label'}</th>
													<th>&{'jumlah_tahapan.label'}</th>
													<th>&{'sudah_dipakai.label'}?</th>
													<th></th>
												</tr>
											</thead>
										</table>
									</div>
								</div>
								
								<div role="tabpanel" class="tab-pane" id="daftar-usulan">
									<!-- Daftar Usulan -->
									<div class="toolbar">
										<a href="@{admin.UsulanCtr.create(komoditas?.id)}" class="btn btn-primary btn-md">
											<i class="fa fa-plus"></i> &{'tambah_usulan.label'}
										</a>
									</div>
									<div style="overflow-x: auto">
										<table class="table table-striped" id="usulan">
											<thead>
												<tr>
													<th>&{'nomor.label'}</th>
													<th>&{'judul_usulan.label'}</th>
													<th>&{'nama_pengusul.label'}</th>
													<th>&{'klpd.label'}</th>
													<th>&{'status.label'}</th>
													<th></th>
												</tr>
											</thead>
										</table>
									</div>
								</div>
		
		                        <div role="tabpanel" class="tab-pane" id="list-template-kontrak" style="overflow-x: auto">
		                            <table class="table table-striped" id="tblTemplateKontrak">
		                                <thead>
											<tr>
												<th>&{'nomor.label'}</th>
												<th>&{'jenis_dokumen.label'}</th>
												<th>&{'aksi.label'}</th>
											</tr>
		                                </thead>
		                            </table>
		                        </div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<!-- Modal -->
<div class="modal fade" id="detailModal" tabindex="-1" role="dialog"
	aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"
					aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
				<h4 class="modal-title" id="myModalLabel"></h4>
			</div>
			<div class="modal-body" style="overflow-x: auto">
				<table class="table table-striped">
					<thead>
						<th>&{'nomor.label'}</th>
						<th>&{'nama_tahapan.label'}</th>
					</thead>
					<tbody id="tblDetailTemplate"></tbody>
				</table>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">
					<i class="fa fa-reply"></i> &{'tutup.label'}
				</button>
			</div>
		</div>
	</div>
</div>


#{set 'moreScripts'}
<script type="text/javascript">
	jQuery(document).ready(function($) {
		$("#tblTemplateJadwal").dataTable({
			ajax : {
				url : "@{controllers.admin.komoditas.KomoditasDataTable.cariTemplateJadwal()}",
				cache : true,
                data: {
                    komoditas_id: "${komoditas.id}"
                }
			},
			order : [ [ 1, "asc" ] ],
			columns : [ {
				"searchable" : false, "className": "header-center",
				render : function(data, type, row, meta) {
					return meta.row + meta.settings._iDisplayStart + 1 + ".";
				}
			}, {
				"searchable" : true
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			} ]
		});

		$("#tblTemplateKontrak").dataTable({
			ajax : {
				url : "@{DataTableCtr.cariTemplateKontrak()}",
				cache : true,
                data: {
                    komoditas_id: "${komoditas.id}"
                }
			},
			order : [ [ 1, "asc" ] ],
			columns : [ {
				"searchable" : false, "className": "header-center",
				render : function(data, type, row, meta) {
					return meta.row + meta.settings._iDisplayStart + 1 + ".";
				}
			}, {
				"searchable" : true
			}, {
				"searchable" : false, "className": "header-center"
			} ]
		});

		$("#usulan").dataTable({
			ajax : {
				url : "@{controllers.admin.usulan.UsulanDataTable.cariUsulan()}",
				cache : true,
				data: {
					komoditas_id: "${komoditas.id}"
				}
			},
			order : [ [ 1, "asc" ] ],
			columns : [ {
				"searchable" : false, "className": "header-center",
				render : function(data, type, row, meta) {
					return meta.row + meta.settings._iDisplayStart + 1 + ".";
				}
			}, {
				"searchable" : true
			}, {
				"searchable" : true
			}, {
				"searchable" : true
			}, {
				"searchable" : true
			}, {
				"searchable" : false, "className": "header-center"
			} ]
		});

	});

	$("body").on(
			"click",
			".nama_template",
			function() {
				var template_id = $(this).attr("template_id");
				$.ajax({
					dataType : "json",
					url : "@{admin.KomoditasCtr.getDetailTemplate()}",
					data : {
						template_id : template_id
					},
					success : function(result) {
						// console.log(result);
						var html = "";
						var nama_template = "";
						var number = 1;
						for ( var key in result) {
							var obj = result[key];
							nama_template = obj["nama_template"];
							html = html + "<tr>" + "<td>" + number + "</td>"
									+ "<td>" + obj["nama_tahapan"] + "</td>"
									+ "</tr>";
							number++;
						}
						$("#tblDetailTemplate").html(html);
						$("#myModalLabel").html(nama_template);
						$("#detailModal").modal();
					}
				});
			});
</script>
#{/set}
